/**
 * Service that sets up the application.
 *
 * @author Elliott Sprehn (esprehn@gmail.com)
 */
angular.service('Application', function($route, $window) {
  $route.when('/profile', {
    controller: ProfileController,
    template: 'partials/profile.html'
  });
  
  // Default route
  $route.otherwise({
    controller: PostController,
    template: 'partials/posts.html'
  });

// The $inject tells the service system how to perform dependency injection.
// The $eager tells the the injector that this service is not lazy.
}, {$inject:['$route', '$window'], $eager: true});
