/**
 * DSL for asserting about given data.
 *
 * @author Elliott Sprehn (esprehn@gmail.com)
 */
angular.scenario.dsl('given', function() {
  var chain = {};

  chain.reset = function() {
    this.addFuture('given a server reset', function(done) {
      $.ajax({
        url: '/reset',
        success: function() {
          done();
        }
      })
    });
  }

  return function() {
    return chain;
  };
});

/**
 * DSL for controlling the posts page.
 *
 * @author Elliott Sprehn (esprehn@gmail.com)
 */
angular.scenario.dsl('postsPage', function() {
  var chain = {};

  chain.post = function(i) {
    return {
      at: function(i) {
        return repeater('#posts tr').row(i);
      },
      count: function() {
        return repeater('#posts tr').count();
      }
    };
  };

  chain.search = function() {
    return input('[name=search');
  };

  chain.newPost = function() {
    return {
      text: function() {
        return input('text');
      },
      submit: function() {
        return element('[name=submit]').click();
      }
    };
  };

  return function() {
    return chain;
  };
});
