/**
 * @author Elliott Sprehn (esprehn@gmail.com)
 */
describe('Posts Page', function() {

  beforeEach(function() {
    given().reset();
    browser().navigateTo('/app/index.html');
  });

  it('should load posts on page load', function() {
    expect(repeater('#posts tr').row(0)).toEqual([
      '12:09pm',	'This was an awesome conference'
    ]);
  });

  it('should filter posts based on search field', function() {
    input('search').enter('Example post');
    expect(repeater('#posts tr').count()).toEqual(0);
    input('search').enter('awesome');
    expect(repeater('#posts tr').count()).toEqual(1);
  });

  it('should create new post', function() {
    input('text').enter('Example post');
    element('[name=submit]').click();
    input('text').enter('Example post');
    element('[name=submit]').click();
    expect(repeater('#posts tr').count()).toEqual(3);
    input('search').enter('Example');
    expect(repeater('#posts tr').count()).toEqual(2);
  });
  
  it('should create new post', function() {
    postsPage().newPost().text().enter('Example post');
    postsPage().newPost().submit();
    postsPage().newPost().text().enter('Example post');
    postsPage().newPost().submit();
    expect(postsPage().post().count()).toEqual(3);
    postsPage().search().enter('Example');
    expect(postsPage().post().count()).toEqual(2);
  });
});
